Subject: Re: [PATCH v19 1/3] doc: git-format-patch: describe the option --always

From: Junio C Hamano <[email-masked]>
Date: Sat, 11 Dec 2021 01:22:37 -0800

Bagas Sanjaya <[email-masked]> writes:

> On 10/12/21 08.26, Aleen 徐沛文 wrote:
>> Dears Sanjaya,
>>      Thanks for your suggestion. I don't see the actual difference
>> between
>>      the two sentences, and do you want to enhance the word "always"?
>>      If you do, how about just describing the option as "Always include patches..."?
>> Aleen
>> 
>
> Semantically speaking, I choose "generate" because git format-patch **generates**
> patches from the specified commits.

But the given commit is empty and does not result in a patch at
all, which is the whole point of having this option, no?  A typical
format-patch output message consists of the message part and the
patch part, and calling an output created for an empty commit a
"patch" leads to confusion, I am afraid.

So, between the two sentences, I do not see much difference either
way.